> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ninjachat.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Imagen 4

> google-imagen-4 — Google's photorealistic image model. $0.08/image.

|              |                              |
| ------------ | ---------------------------- |
| **Model ID** | `google-imagen-4`            |
| **Provider** | Google                       |
| **Cost**     | \$0.08/img                   |
| **Speed**    | \~15s                        |
| **Best for** | Photorealism, text in images |

## Example

```bash theme={null}
curl -X POST https://www.ninjachat.ai/api/v1/images \
  -H "Authorization: Bearer nj_sk_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "google-imagen-4", "prompt": "A sunset over mountains, photorealistic"}'
```

```python theme={null}
import requests, os

r = requests.post("https://www.ninjachat.ai/api/v1/images",
    headers={"Authorization": f"Bearer {os.environ['NINJACHAT_API_KEY']}"},
    json={"model": "google-imagen-4", "prompt": "A sunset over mountains, photorealistic"}
)
print(r.json()["images"][0]["url"])
```

***

**Guides:** [Image Generation](/image-generation) | [All Models](/models) | [Pricing](/pricing) | [Error Handling](/error-handling)
